-# Auto detect text files and perform LF normalization
-* text=auto
+# Use Linux/Uni* line-feed for new lines (prevents converting)
+* text=lf
+++ /dev/null
-#!/bin/sh
-
-echo "$0: Cleaning up..."
-rm -f templates/images/_cache/*.png application/*/templates/images/_cache/*.png
-
-echo "$0: All done."
--- /dev/null
+#!/bin/sh
+
+echo "$0: Cleaning up..."
+rm -f templates/images/_cache/*.png application/*/templates/images/_cache/*.png
+
+echo "$0: All done."
--- /dev/null
+#!/bin/sh
+
+echo "$0: Searching for PHP scripts (except 3rd party) ..."
+PHP=`find -type f -name "*.php" | grep -v "third_party"`
+
+for SCRIPT in ${PHP};
+do
+ HEADER=`cat ${SCRIPT} | head -n 1 | grep -v "<?"`
+
+ FOOTER=`cat ${SCRIPT} | tail -n 1 | grep -v "?>"`
+
+ if [ -n "${HEADER}" ];
+ then
+ echo "$0: Script '${SCRIPT}' has non-typical header."
+ fi
+
+ if [ -n "${FOOTER}" ];
+ then
+ echo "$0: Script '${SCRIPT}' has non-typical footer."
+ fi
+
+ LINT=`php -l "${SCRIPT}" 2>&1 | grep -v "No syntax errors detected in"`
+
+ if [ -n "${LINT}" ]
+ then
+ echo "$0: ${LINT}"
+ fi
+done
+
+echo "$0: All done."
+exit 0
--- /dev/null
+#!/bin/sh
+
+NAME=shipsimu_dev_`date +%Y%m%d_%H%M%S`.zip
+
+sh ./clear-cache.sh
+
+echo -n "$0: Packaging... "
+zip -9 $NAME docs/* Doxyfile *.php *.sh > /dev/null 2>&1
+echo -n "."
+zip -9r $NAME application/ db/ devel/ Doxyfile inc/ templates/ tests/ > /dev/null 2>&1
+echo -n "."
+zip -d $NAME docs/warn.log db/*/*.serialized > /dev/null 2>&1
+echo ". done"
+echo "$0: All done."
--- /dev/null
+#!/bin/sh
+
+if ! test -e `which pdepend`; then
+ echo "$0: This script needs PHP_Depend. See URL"
+ echo "$0: http://www.manuel-pichler.de/pages/pdepend.html for details."
+fi
+
+pdepend --bad-documentation --ignore=db,docs,ship-simu.org \
+ --jdepend-chart=test.png --overview-pyramid=pyramid.png \
+ --summary-xml=summary.xml --jdepend-xml=jdepend.xml .
--- /dev/null
+#!/bin/sh
+
+echo "$0: Cleaning up..."
+find docs/html/ -type f -exec rm -f {} \;
+rm -f docs/*.log
+echo "$0: Done."
+
+doxygen Doxyfile
--- /dev/null
+#!/bin/sh
+
+# This script helps building the file docs/TODOs.txt and should be executed by
+# developers with SVN write-access
+
+TYPES="php ctp xml"
+
+if ! test -e "index.php"; then
+ echo "$0: Please execute this script from root directory."
+ exit 1
+fi
+
+echo "$0: Generating TODOs.txt..."
+echo "### WARNING: THIS FILE IS AUTO-GENERATED BY $0 ###" > docs/TODOs.txt
+echo "### DO NOT EDIT THIS FILE. ###" >> docs/TODOs.txt
+for type in $TYPES; do
+ find -type f -name "*.$type" -exec grep -Hin "@TODO" {} \; | sort >> docs/TODOs.txt
+done
+echo "### ### DEPRECATION FOLLOWS: ### ###" >> docs/TODOs.txt
+for type in $TYPES; do
+ find -type f -name "*.$type" -exec grep -Hin "@DEPRECATED" {} \; | sort >> docs/TODOs.txt
+done
+echo "$0: Done."
+exit 0
+++ /dev/null
-#!/bin/sh
-
-echo "$0: Searching for PHP scripts (except 3rd party) ..."
-PHP=`find -type f -name "*.php" | grep -v "third_party"`
-
-for SCRIPT in ${PHP};
-do
- HEADER=`cat ${SCRIPT} | head -n 1 | grep -v "<?"`
-
- FOOTER=`cat ${SCRIPT} | tail -n 1 | grep -v "?>"`
-
- if [ -n "${HEADER}" ];
- then
- echo "$0: Script '${SCRIPT}' has non-typical header."
- fi
-
- if [ -n "${FOOTER}" ];
- then
- echo "$0: Script '${SCRIPT}' has non-typical footer."
- fi
-
- LINT=`php -l "${SCRIPT}" 2>&1 | grep -v "No syntax errors detected in"`
-
- if [ -n "${LINT}" ]
- then
- echo "$0: ${LINT}"
- fi
-done
-
-echo "$0: All done."
-exit 0
+++ /dev/null
-#!/bin/sh
-
-NAME=shipsimu_dev_`date +%Y%m%d_%H%M%S`.zip
-
-sh ./clear-cache.sh
-
-echo -n "$0: Packaging... "
-zip -9 $NAME docs/* Doxyfile *.php *.sh > /dev/null 2>&1
-echo -n "."
-zip -9r $NAME application/ db/ devel/ Doxyfile inc/ templates/ tests/ > /dev/null 2>&1
-echo -n "."
-zip -d $NAME docs/warn.log db/*/*.serialized > /dev/null 2>&1
-echo ". done"
-echo "$0: All done."
+++ /dev/null
-#!/bin/sh
-
-if ! test -e `which pdepend`; then
- echo "$0: This script needs PHP_Depend. See URL"
- echo "$0: http://www.manuel-pichler.de/pages/pdepend.html for details."
-fi
-
-pdepend --bad-documentation --ignore=db,docs,ship-simu.org \
- --jdepend-chart=test.png --overview-pyramid=pyramid.png \
- --summary-xml=summary.xml --jdepend-xml=jdepend.xml .
+++ /dev/null
-#!/bin/sh
-
-echo "$0: Cleaning up..."
-find docs/html/ -type f -exec rm -f {} \;
-rm -f docs/*.log
-echo "$0: Done."
-
-doxygen Doxyfile
+++ /dev/null
-#!/bin/sh
-
-# This script helps building the file docs/TODOs.txt and should be executed by
-# developers with SVN write-access
-
-TYPES="php ctp xml"
-
-if ! test -e "index.php"; then
- echo "$0: Please execute this script from root directory."
- exit 1
-fi
-
-echo "$0: Generating TODOs.txt..."
-echo "### WARNING: THIS FILE IS AUTO-GENERATED BY $0 ###" > docs/TODOs.txt
-echo "### DO NOT EDIT THIS FILE. ###" >> docs/TODOs.txt
-for type in $TYPES; do
- find -type f -name "*.$type" -exec grep -Hin "@TODO" {} \; | sort >> docs/TODOs.txt
-done
-echo "### ### DEPRECATION FOLLOWS: ### ###" >> docs/TODOs.txt
-for type in $TYPES; do
- find -type f -name "*.$type" -exec grep -Hin "@DEPRECATED" {} \; | sort >> docs/TODOs.txt
-done
-echo "$0: Done."
-exit 0